Bug 1015406 - red error on page during bundle revert process
red error on page during bundle revert process
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
All Windows
unspecified Severity medium
: ER01
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 03:13 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:03:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bundleRevert.png (131.51 KB, image/png)
2013-10-04 03:13 EDT, Armine Hovsepyan
no flags Details
bundleverionrevert.log (1.07 KB, text/x-log)
2013-10-04 03:16 EDT, Armine Hovsepyan
no flags Details
bundle_revert (129.69 KB, image/png)
2014-08-26 16:30 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-10-04 03:13:39 EDT
Created attachment 807464 [details]
bundleRevert.png

Description of problem:
red error on page during bundle revert process

Version-Release number of selected component (if applicable):
JON 3.2 ER1

How reproducible:
always

Steps to Reproduce:
1. install a bundle with v1.2
2. upgrade bundle to version 1.2
3. navigate to bundle destination
4. Click on revert button
5. Click on "yes" button for an alert asking "This will revert all remote machines back to the previous bundle deployment. Are you sure you want to do this?" 
6. Click on "next" button

Actual results:
After step6. red error message on the top of the page telling that "Failed to get revert deployment name "

Expected results:
no exception/error on page, bundle is reverted to previous version 


Additional info:
following click on "next" buttons leads to bundle being reverted
screen-shot and error message attached

env: Windows 2008 x64
Comment 1 Armine Hovsepyan 2013-10-04 03:16:05 EDT
Created attachment 807465 [details]
bundleverionrevert.log
Comment 2 Armine Hovsepyan 2013-10-04 04:05:38 EDT
fragment from server.log -> http://d.pr/f/j64j
Comment 3 Simeon Pinder 2013-11-08 09:41:18 EST
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.
Comment 6 Jay Shaughnessy 2014-08-26 12:15:10 EDT
My test revert worked as expected on 3.3.  Setting to ON_QA. If there is a failure please attach the bundles you are using so we can try to reproduce the same way.
Comment 9 Armine Hovsepyan 2014-08-26 16:30:58 EDT
Created attachment 931118 [details]
bundle_revert
Comment 10 Armine Hovsepyan 2014-08-26 16:31:36 EDT
verified on 3.3 ER1
screen-shot attached

Note You need to log in before you can comment on or make changes to this bug.